use std::{
    env,
    net::{Ipv4Addr, SocketAddr},
    time::Duration,
};
use bevy::app::App;
use bevy::DefaultPlugins;
use bevy::prelude::{Commands, EventWriter};
use tokio::runtime::Runtime;
use crate::networking::event;

mod networking;

pub fn main() {
    let mut app = App::new();
    app.add_plugins(DefaultPlugins);
    app.add_plugin(networking::plugin::NetworkingPlugin);
    app.add_startup_system(my_test);
    app.run();
    println!("hello world!")
}

pub fn my_test(mut commands: Commands, mut writer: EventWriter<event::ConnectToServer>) {
    writer.send(event::ConnectToServer(SocketAddr::from((Ipv4Addr::LOCALHOST, 3030))));
}